org.firebirdsql.gds.ng.wire.crypt

## Interface EncryptionPlugin

All Known Implementing Classes:
  Arc4EncryptionPlugin

    public interface EncryptionPlugin

Plugin for Firebird wire encryption.

NOTE: This plugin is currently only internal to Jaybird, consider the API as unstable.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`EncryptionIdentifier` `getEncryptionIdentifier()`
`EncryptionInitInfo` `initializeEncryption()` Initializes the encryption for in-going and outgoing communication.

### Method Detail

#### getEncryptionIdentifier

    EncryptionIdentifier getEncryptionIdentifier()

Returns:
  Encryption identifier

#### initializeEncryption

    EncryptionInitInfo initializeEncryption()

Initializes the encryption for in-going and outgoing communication.

Returns:
  Object with the result of initialization